<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 4;
$moduleName = $arrAllModule[$moduleId];


$i = 1;
$arrImgPara = array();
$strSqlPara = "select paraname from {$configTableHead}para where lang='{$kuWebsiteCurrLanguage}' and id between 40 and 49;";
$result = $dbInstance->query($strSqlPara);
while($imgPara = $dbInstance->fetchArray($result))
{
  $arrImgPara[$i] = $imgPara['paraname'];
  $i++;
}


$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockImgTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockImgTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$menuid} and showsub=1;";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1;";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumberimg, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."img/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumberimg;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypeimg);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$menuid} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberimg;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberimg;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}img where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberimg;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrImgList = '';
$kuArrImgList = array();
$result = $dbInstance->query($strSql);
while($imgRow = $dbInstance->fetchArray($result))
{
  $imgRow['photourl'] = $kuUploadPath.$imgRow['imgurl'];
  $imgRow['imgurl'] = $kuHttpPath."img/img.php?lang={$kuWebsiteCurrLanguage}&itemid={$imgRow['id']}";
  $imgRow['updatetime'] = substr($imgRow['updatetime'], 0, 10);
  $imgRow['addtime'] = substr($imgRow['addtime'], 0, 10);
  $kuArrImgList[] = $imgRow;
  $kuImgTitle = CommTool::cutstrutf8($imgRow['imgtitle'], 70);
  $kuStrImgList .= "<li><span class=\"right\">{$imgRow['updatetime']}</span><a href=\"{$imgRow['imgurl']}\" title=\"{$imgRow['imgtitle']}\">{$kuImgTitle}</a></li>";
}



$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('imglist');


?>